Package org.eclipse.net4j.signal.heartbeat

## Class HeartBeatProtocol.Server.TimerInjector

- java.lang.Object
- - org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server.TimerInjector

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IElementProcessor`
  Enclosing class:
    HeartBeatProtocol.Server

      public static class HeartBeatProtocol.Server.TimerInjector
      extends java.lang.Object
      implements org.eclipse.net4j.util.container.IElementProcessor

  An `element post processor` that injects a `timer` into server-side `heart beat protocol` instances.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimerInjector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.Timer` | `getTimer​(org.eclipse.net4j.util.container.IManagedContainer container)` |
    `java.lang.Object` | `process​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerInjector

          public TimerInjector()

  - ### Method Detail

    - #### process

          public java.lang.Object process​(org.eclipse.net4j.util.container.IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `org.eclipse.net4j.util.container.IElementProcessor`

    - #### getTimer

          protected java.util.Timer getTimer​(org.eclipse.net4j.util.container.IManagedContainer container)